Bug 25388 - There is no link for the "online help"
Summary: There is no link for the "online help"
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: David Roberts
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-05-06 13:55 UTC by Jonathan Druart
Modified: 2020-05-15 22:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 25288: (follow-up) Use .escapeHtml() (6.52 KB, patch)
2020-05-07 14:00 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25388: There is no link for the "online help" (2.25 KB, patch)
2020-05-07 18:14 UTC, David Roberts
Details | Diff | Splinter Review
Bug 25388: There is no link for the "online help" (2.30 KB, patch)
2020-05-08 00:53 UTC, David Roberts
Details | Diff | Splinter Review
Bug 25388: There is no link for the "online help" (2.35 KB, patch)
2020-05-08 06:11 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-05-06 13:55:18 UTC
When editing a subfield, there is:
Max length: XXXX (see online help)

We should either link to the online help or remove it.

koha-tmpl/intranet-tmpl/prog/en/modules/admin/marc_subfields_structure.tt:              <li><label for="maxlength[% loo.row | html %]">Max length:</label><input type="text" id="maxlength[% loo.row | html %]" name="maxlength" value="[% loo.maxlength | html %]" size="4" /> (see online help)</li>
Comment 1 David Roberts 2020-05-07 00:13:27 UTC
There is actually nothing in the online help about this (as far as I can see) so I think it is best to remove it. It seems fairly self explanatory anyway, and I don't see what other information the online help could provide.
Comment 2 Katrin Fischer 2020-05-07 05:43:20 UTC
+1
Comment 3 Tomás Cohen Arazi 2020-05-07 14:00:48 UTC Comment hidden (obsolete)
Comment 4 Tomás Cohen Arazi 2020-05-07 14:02:56 UTC
Wrong bug
Comment 5 David Roberts 2020-05-07 18:14:23 UTC
Created attachment 104532 [details] [review]
Bug 25388: There is no link for the "online help"

This patch removes a non-existent link to the online help from the marc
subfield editor.

To test:

1) Go to Admin > MARC Bibliographic framework > Edit MARC structure >
Edit subfield (for example /cgi-bin/koha/admin/marc_subfields_structure.pl?op=add_form&tagfield=000&frameworkcode=AR)
2) Check that the Max Length value in the Advanced constraints area
contains text saying "See online help"
3) Apply patch
4) Check that the reference to the online help has disappeared.
Comment 6 Lucas Gass 2020-05-07 21:06:22 UTC
Looks fine but fails QA tool:

 FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/admin/marc_subfields_structure.tt
   OK	  filters
   FAIL	  forbidden patterns
		forbidden pattern: tab char (line 131)
   OK	  git manipulation
   OK	  js_in_body
   OK	  spelling
   OK	  tt_valid
   OK	  valid_template


I see this happen when I cut and paste sometimes.
Comment 7 David Roberts 2020-05-08 00:53:02 UTC
(In reply to Lucas Gass from comment #6)
> Looks fine but fails QA tool:
> 
>  FAIL
> koha-tmpl/intranet-tmpl/prog/en/modules/admin/marc_subfields_structure.tt
>    OK	  filters
>    FAIL	  forbidden patterns
> 		forbidden pattern: tab char (line 131)
>    OK	  git manipulation
>    OK	  js_in_body
>    OK	  spelling
>    OK	  tt_valid
>    OK	  valid_template
> 
> 
> I see this happen when I cut and paste sometimes.

That's odd - I deleted data from the end of that line, I didn't copy and paste anything! I think this might have been a 'legacy tab" from a previous edit in the past. I've removed it now anyway, so changed back to Needs Signoff
Comment 8 David Roberts 2020-05-08 00:53:16 UTC
Created attachment 104543 [details] [review]
Bug 25388: There is no link for the "online help"

This patch removes a non-existent link to the online help from the marc
subfield editor.

To test:

1) Go to Admin > MARC Bibliographic framework > Edit MARC structure >
Edit subfield (for example /cgi-bin/koha/admin/marc_subfields_structure.pl?op=add_form&tagfield=000&frameworkcode=AR)
2) Check that the Max Length value in the Advanced constraints area
contains text saying "See online help"
3) Apply patch
4) Check that the reference to the online help has disappeared.

Remove tabs from start of line
Comment 9 Katrin Fischer 2020-05-08 06:11:54 UTC
Created attachment 104553 [details] [review]
Bug 25388: There is no link for the "online help"

This patch removes a non-existent link to the online help from the marc
subfield editor.

To test:

1) Go to Admin > MARC Bibliographic framework > Edit MARC structure >
Edit subfield (for example /cgi-bin/koha/admin/marc_subfields_structure.pl?op=add_form&tagfield=000&frameworkcode=AR)
2) Check that the Max Length value in the Advanced constraints area
contains text saying "See online help"
3) Apply patch
4) Check that the reference to the online help has disappeared.

Remove tabs from start of line

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2020-05-08 06:12:34 UTC
Removing a little bit of text - setting to PQA directly. Thx David!
Comment 11 Martin Renvoize 2020-05-11 09:01:40 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 12 Joy Nelson 2020-05-11 22:09:14 UTC
Backported to 19.11.x for 19.11.06
Comment 13 Lucas Gass 2020-05-15 22:09:51 UTC
backported to 19.05.x for 19.05.11